net.sourceforge.jnlp

## Class AppletDesc

- java.lang.Object
- - net.sourceforge.jnlp.AppletDesc

All Implemented Interfaces:
  LaunchDesc

    public class AppletDesc
    extends java.lang.Object
    implements LaunchDesc

The applet-desc element.

### Constructor Summary

Constructors
Constructor and Description
`AppletDesc(java.lang.String name, java.lang.String mainClass, java.net.URL documentBase, int width, int height, java.util.Map<java.lang.String,java.lang.String> parameters)` Create an Applet descriptor.

### Method Summary

Methods
`void` `addParameter(java.lang.String name, java.lang.String value)` Adds a parameter to the applet.
`java.net.URL` `getDocumentBase()` Returns the document base
`int` `getHeight()` Returns the height
`java.lang.String` `getMainClass()` Returns the main class name in the dot-separated form (eg: foo.bar.Baz)
`java.lang.String` `getName()` Returns the applet name
`java.util.Map<java.lang.String,java.lang.String>` `getParameters()` Returns the applet parameters
`int` `getWidth()` Returns the width

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AppletDesc

    public AppletDesc(java.lang.String name,
              java.lang.String mainClass,
              java.net.URL documentBase,
              int width,
              int height,
              java.util.Map<java.lang.String,java.lang.String> parameters)

Create an Applet descriptor.

Parameters:
  `name` - the applet name
  `mainClass` - the main class name and package
  `documentBase` - the document base
  `width` - the width
  `height` - the height
  `parameters` - the parameters

### Method Detail

#### getName

    public java.lang.String getName()

Returns the applet name

#### getMainClass

    public java.lang.String getMainClass()

Returns the main class name in the dot-separated form (eg: foo.bar.Baz)

Specified by:
  `getMainClass` in interface `LaunchDesc`

#### getDocumentBase

    public java.net.URL getDocumentBase()

Returns the document base

#### getWidth

    public int getWidth()

Returns the width

#### getHeight

    public int getHeight()

Returns the height

#### getParameters

    public java.util.Map<java.lang.String,java.lang.String> getParameters()

Returns the applet parameters

#### addParameter

    public void addParameter(java.lang.String name,
                    java.lang.String value)

Adds a parameter to the applet. If the parameter already exists then it is overwritten with the new value. Adding a parameter will have no effect on already-running applets launched from this JNLP file.